Groovy JDK

## javax.swing.tree
Class TreeNode

Method Summary
`TreeNode` | `getAt(int index)` Support the subscript operator for TreeNode.
`Iterator` | `iterator()` Returns an Iterator which traverses the TreeNode one node at a time.
`int` | `size()` Provide the standard Groovy `size()` method for `TreeNode`.

Method Detail

### getAt

    public TreeNode getAt(int index)

  Support the subscript operator for TreeNode.

Parameters:
  `index` - the index of the child node to get.

Returns:
  the child node at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the TreeNode one node at a time.

Returns:
  an Iterator for a TreeNode

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `TreeNode`.

Returns:
  the child count of the treeNode

Since:
  1.6.4

Groovy JDK